Last modified: 2012-10-04 09:53:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 33024 - Webfonts radio buttons dont work in IE 7.0
Webfonts radio buttons dont work in IE 7.0
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
WebFonts (Other open bugs)
unspecified
All Windows XP
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
http://hi.wikipedia.org/wiki/मीडियाविकि
: i18n
Depends on:
Blocks: 40760
  Show dependency treegraph
 
Reported: 2011-12-13 11:56 UTC by sodabottle
Modified: 2012-10-04 09:53 UTC (History)
5 users (show)

See Also:
Web browser: Internet Explorer
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description sodabottle 2011-12-13 11:56:00 UTC
In Hindi Wikipedia, I am not able to use the radio buttons and change the fonts in the webfonts dropdown list. This happens in all pages - both logged in and logged out. 

OS: Win XP SP2
Browser : IE 7.0
Comment 1 Siebrand Mazeland 2011-12-13 12:04:10 UTC
There is a local script that is taking control of everything. That should be fixed in common.js or somewhere similar... Please take it up with the local community. I've added a local admin in CC.
Comment 2 sodabottle 2011-12-13 12:19:18 UTC
Not a site/language specific issue. The Same thing happens with Kannada, Gujarati, Bengali and Telugu wikipedias. And the non wikipedia projects too. Please assign this back to webfonts
Comment 3 Mayur 2011-12-13 17:54:24 UTC
Yes some editors are facing some problems yet it is not clear to me but probable solution will be not to make such new font system as default.
Comment 4 Derk-Jan Hartman 2011-12-13 22:07:17 UTC
Is there a url ? a screenshot ?
Siebrand seems to have some more info, but it is not available in this report for any outsiders. 

Btw. congratulations siebrand. lang zal hij leven :D
Comment 5 Srikanth Logic 2011-12-13 22:11:21 UTC
Updated URL, Bala has a video capture for this. Expect in some ~16 hours
Comment 6 Siebrand Mazeland 2011-12-13 23:07:20 UTC
Reply to comment 2:
After some additional testing, I agree that something needs fixing for IE7. As http://or.wikipedia.org does not have a custom input method solution, my hypothesis was invalidated.


Reply to comment 4: (thanks, Derk-Jan):

Here's the scenario we found for it:

Menu to disable webfonts or change a font does not work for Siebrand on http://hi.wikipedia.org/wiki/%E0%A4%AE%E0%A5%81%E0%A4%96%E0%A4%AA%E0%A5%83%E0%A4%B7%E0%A5%8D%E0%A4%A0 (anonymous). See this in other wikis, too. I can click directly on the radio buttons, but only a "blip", no selection. Nothing happens if I click the font name. Browser: IE7 on Windows XP. Can screen share if needed.

Local JavaScript error details (error details translated from Dutch to English):

1. Line: 646, Char: 5, Error: Id, expected string or number, Code: 0, URL: <see above>
2. Line: 9, Char: 520, Error: Could not complete operation due to error 80020101, URL: <see above>

Unfortunately I do not know how IE7 can provide more detailed information.
Comment 7 sodabottle 2011-12-14 04:16:17 UTC
"I can click directly on the radio buttons, but only a "blip", no selection. Nothing happens if I click the font name. Browser: IE7 on Windows XP. Can screen share if needed."

Same usecase for me. I made a screen capture. Here is a low quality version of it in youtube - http://www.youtube.com/watch?v=tlj9r4GO7GE. (apologies for the low quality: didnt upload the original 70 mb avi file and with my internet connection is adsl and will take a couple of hours to upload it)
Comment 8 Derk-Jan Hartman 2011-12-14 09:12:30 UTC
var config = [] in setup(), which is an array, but then you for-in loop over that array in buildmenuitems(), which should not be done.

objects -> for in
arrays -> for( int i; i<length; i++) etc.

That might be it. Otherwise the most common reason for an error like this is a comma at the end of an object definition.

So var = {
 something: {
 },
 somethingelse: {
 }, <----
}
Comment 9 Mayur 2011-12-15 07:00:48 UTC
One more problem arised is Twinkle has stopped working both in hindi  as well as sanskrit wikipedia. So either this new font script is cutting TW script.
Comment 10 Santhosh Thottingal 2011-12-15 07:14:16 UTC
Fixed in r106175 and deployed yesterday.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links